#!/bin/bash
NDK=~/Projects/android/android-ndk
SYSROOT=$NDK/platforms/android-9/arch-arm/
TOOLCHAIN=$NDK/toolchains/arm-linux-androideabi-4.8/prebuilt/darwin-x86_64

function build_one
{
./configure \
    --prefix=$PREFIX \
    --disable-debug \
    --enable-shared \
    --disable-static \
    --enable-libvpx \
    --disable-everything \
    --enable-avformat \
    --enable-avcodec \
    --enable-protocol=file \
    --enable-libvpx \
    --enable-demuxer=mov \
    --enable-demuxer=mjpeg \
    --enable-parser=mjpeg \
    --enable-decoder=mjpeg \
    --enable-muxer=webm \
    --enable-muxer=matroska \
    --enable-encoder=libvpx_vp8 \
    --disable-doc \
    --disable-ffmpeg \
    --disable-ffplay \
    --disable-ffprobe \
    --disable-ffserver \
    --disable-avdevice \
    --disable-doc \
    --disable-symver \
    --cross-prefix=$TOOLCHAIN/bin/arm-linux-androideabi- \
    --target-os=linux \
    --arch=arm \
    --enable-cross-compile \
    --sysroot=$SYSROOT \
    --extra-cflags="-Os -fpic $ADDI_CFLAGS -I../libvpx-v1.3.0/build/include" \
    --extra-ldflags="$ADDI_LDFLAGS -L../libvpx-v1.3.0/build/lib" \
    $ADDITIONAL_CONFIGURE_FLAG
say -v vicki Configured
make clean
make
make install
}
CPU=arm
PREFIX=$(pwd)/android/$CPU 
ADDI_CFLAGS="-marm"
build_one
say -v vicki Compiled